Summary: SourceGuardian decoder for encrypted PHP scripts
Name: php-SourceGuardian
Version: 10.1.5
Release: 0
License: Proprietary
Group: Applications/System
Url: http://www.sourceguardian.com
Source0: loaders.linux-i386.tar.gz
Source1: loaders.linux-x86_64.tar.gz
Source2: loaders.linux-arm.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: /usr/bin/php

%description
SourceGuardian is a PHP encoder that protects PHP code by compiling the PHP 
source code into a binary bytecode format, which is then supplemented with an
encryption layer.

This package provides the runtime decoder.

%prep

# Unpack correct loader for architecture
case "%{_arch}" in
    i386|i686)
%setup -c -T -b 0
        ;;
    x86_64)
%setup -c -T -b 1
        ;;
    arm)
%setup -c -T -b 2
        ;;
    *)
        echo "Unsupported architecture %{_arch}"
        exit 1
esac

# Check whether current PHP version is supported by loader
PHPVER=`php -r '$v=explode(".",phpversion());print implode(".",array($v[0],$v[1]));'`
LOADER_FILE="ixed.$PHPVER.lin"
echo "Current PHP series appears to be $PHPVER"
if [ ! -e $LOADER_FILE ] ; then
    echo "Loader for PHP $PHPVER not found."
    exit 1
fi

%install
PHPVER=`php -r '$v=explode(".",phpversion());print implode(".",array($v[0],$v[1]));'`
LOADER_FILE="ixed.$PHPVER.lin"

rm -rf    $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT%{_libdir}/php/modules
mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/php.d
cp $LOADER_FILE $RPM_BUILD_ROOT%{_libdir}/php/modules
echo "extension=$LOADER_FILE" > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/SourceGuardian.ini

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/php/modules/ixed*lin
%doc README *.pdf
%config %{_sysconfdir}/php.d/SourceGuardian.ini

%changelog
* Fri Mar 27 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 10.1.5-0
- Fix loader release version.

* Thu Mar 26 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 10.0-0
- Initial packaging for Elastix

